package com.ssj.framework.weixin.card.qrcode;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/** 
 * @author  ZhangCaibao 
 * @version 2017年3月3日 下午2:33:50 
 * 类说明    卡券：群发实体类
 */
public class MassCard implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1931385587711596619L;
	/**
     * openIds
     */
	private List<String> touser;
	/**
	 * 卡卷ID
	 */
	private Map<String,String> wxcard;
	private String msgtype;
	
	public  MassCard(){
		super();
	}
	public  MassCard(List<String> openIds,String card_id){
		this.touser  = openIds;
		Map<String,String> map = new  HashMap<String, String>();
		map.put("card_id", card_id);
		this.wxcard = map;
		this.msgtype ="wxcard";
	}
	public List<String> getTouser() {
		return touser;
	}
	public void setTouser(List<String> touser) {
		this.touser = touser;
	}
	public Map<String, String> getWxcard() {
		return wxcard;
	}
	public void setWxcard(Map<String, String> wxcard) {
		this.wxcard = wxcard;
	}
	public String getMsgtype() {
		return msgtype;
	}
	public void setMsgtype(String msgtype) {
		this.msgtype = msgtype;
	}
	
	
}
